EMERGENCY_RESTART(9)

NAME
emergency_restart - reboot the system

SYNOPSIS

void emergency_restart (void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Without shutting down any hardware or taking any locks reboot the system. This is called when we know we are in trouble so this is our best effort to reboot. This is safe to call in interrupt context.